## org.eclipse.jst.jsf.taglibprocessing.attributevalues
Class AbstractEnumerationType

    java.lang.Object
      org.eclipse.jst.jsf.metadataprocessors.AbstractMetaDataEnabledFeature
          org.eclipse.jst.jsf.metadataprocessors.AbstractRootTypeDescriptor
              org.eclipse.jst.jsf.taglibprocessing.attributevalues.AbstractEnumerationType

All Implemented Interfaces:
  IDefaultValue, IValidELValues, IValidValues, IMetaDataEnabledFeature, ITypeDescriptor

Direct Known Subclasses:
  EnumerationType, MultiSignatureEnumerationType

    public abstract class AbstractEnumerationType

extends AbstractRootTypeDescriptor
implements IValidValues, IDefaultValue, IValidELValues

Abstract meta-data processing type representing an enumeration attribute value runtime type

Provisional API - subject to change

Field Summary

Fields inherited from interface org.eclipse.jst.jsf.metadataprocessors.features.IValidValues
`VALID_VALUES_CODE_PROP_NAME, VALID_VALUES_MAX_PROP_NAME, VALID_VALUES_MESSAGE_PROP_NAME, VALID_VALUES_MIN_PROP_NAME, VALID_VALUES_PROP_NAME, VALID_VALUES_SEVERITY_PROP_NAME`

Fields inherited from interface org.eclipse.jst.jsf.metadataprocessors.features.IDefaultValue
`DEFAULT_VALUE_PROP_NAME`

Constructor Summary
`AbstractEnumerationType()`

Method Summary
`java.lang.String` `getDefaultValue()`
`abstract org.eclipse.jst.jsf.common.internal.types.CompositeType` `getExpectedRuntimeType()` Expected runtime type for EL value
`java.util.List` `getValidationMessages()`

Methods inherited from class org.eclipse.jst.jsf.metadataprocessors.AbstractRootTypeDescriptor
`getFeatureAdapters, getTypeExtension, setTypeExtension`

Methods inherited from class org.eclipse.jst.jsf.metadataprocessors.AbstractMetaDataEnabledFeature
`getMetaDataContext, getStructuredDocumentContext, setMetaDataContext, setStructuredDocumentContext`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jst.jsf.metadataprocessors.features.IValidValues
`isValidValue`

Methods inherited from interface org.eclipse.jst.jsf.metadataprocessors.IMetaDataEnabledFeature
`getMetaDataContext, getStructuredDocumentContext, setMetaDataContext, setStructuredDocumentContext`

Constructor Detail

### AbstractEnumerationType

    public AbstractEnumerationType()

Method Detail

### getValidationMessages

    public java.util.List getValidationMessages()

  Specified by:
    `getValidationMessages` in interface `IValidValues`
  Returns:
    List of IValidationMessage objects if invalid Must return empty list rather than null Call to isValidValue(String value) required before this should be called.

### getDefaultValue

    public java.lang.String getDefaultValue()

  Specified by:
    `getDefaultValue` in interface `IDefaultValue`
  Returns:
    default value or null if one not defined

### getExpectedRuntimeType

    public abstract org.eclipse.jst.jsf.common.internal.types.CompositeType getExpectedRuntimeType()
                                                                                            throws ELIsNotValidException

  Description copied from interface: `IValidELValues`
  Expected runtime type for EL value

  Specified by:
    `getExpectedRuntimeType` in interface `IValidELValues`
  Returns:
    CompositeType
  Throws:
    `ELIsNotValidException`